[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.OnClick

Event Handler for mouse click

## Declaration

Source position: controls.pp line 1396

`public property TControl.OnClick: TNotifyEvent read FOnClick write FOnClick stored IsOnClickStored;`

## Description

// standard properties, which should be supported by all descendants

This is often the default action for many controls, and is often the ONLY action specified by the programmer. The action can be spcified by the user, either by typing explicit code into the implementation section for this control, or by selecting an action from a pre-supplied ActionList

Reads or writes a flag if a mouse click is detected, and sets a flag if a value is stored.

## See also

#rtl.Classes.TNotifyEvent

The latest version of this document can be found at lazarus-ccr.sourceforge.net .